Bug 443287 - FakeRAID volumes doesn't show up in 'Computer' folder
FakeRAID volumes doesn't show up in 'Computer' folder
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-20 04:35 EDT by Davide Moretti
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 03:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Moretti 2008-04-20 04:35:42 EDT
Description of problem:
A ntfs-formatted volume on a disk connected to a FastTrack IDE controller
doesn't show up in Nautilus

Version-Release number of selected component (if applicable):


How reproducible:
I have the following setup:

Primary motherboard IDE controller (ICH4) master disk:
* /dev/sda1 - ntfs volume (label: System)
* /dev/sda2 - ext3 volume (Fedora)
* /dev/sda3 - swap

Primary motherboard IDE controller (ICH4) slave disk:
* /dev/sdb1 - ntfs volume (label: Misc)

Secondary motherboard IDE controller (ICH4)
* DVD-writer
* CD-writer

Motherboard SATA controller provided by a Promise PDC20376
* /dev/mapper/pdc_cdcggfgcp1 - ntfs volume (label: Repository)

Steps to Reproduce:
1. Boot the system
2. Open "Computer" folder from the Computer desktop icon
3.
  
Actual results:
On the folder I get the following folders:
CD-RW Drive
DVD Drive
Floppy Drive
Misc
System
Filesystem

Expected results:
CD-RW Drive
DVD Drive
Floppy Drive
Misc
Repository
System
Filesystem


Additional info:
On fc8 this worked, but Repository was mounted as /dev/sdc1, even if the
/dev/mapper/pdc_ entry was still present I found that on fc9, trying to 'mount
-t ntfs /dev/sdc1 /mnt' doesn't work anymore, instead gives the error:

Error opening '/dev/sdc1': No such device or address
Failed to mount '/dev/sdc1': No such device or address
You seem to have a SoftRAID/FakeRAID hardware and must use an activated,
different device under /dev/mapper/, (e.g. /dev/mapper/nvidia_eahaabcc1)
to mount NTFS. Please see the 'dmraid' documentation for help.

So probably, now that ntfs-3g or the kernel refuses to mount volumes from
standard block devices where these represents fakeRAID volumes, Nautilus (or
gvfs, or fuse) don't see the volume.
Comment 1 Bug Zapper 2008-05-14 05:46:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:18:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Davide Moretti 2009-06-10 03:51:59 EDT
On Fedora 11 I

Note You need to log in before you can comment on or make changes to this bug.